# Update a section

You can update the details of a single section by making a PUT request to `https://api.intercom.io/sections/<id>`.

Endpoint: PUT /help_center/sections/{id}
Version: 2.8
Security: bearerAuth

## Path parameters:

  - `id` (integer, required)
    The unique identifier for the section which is given by Intercom.

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `name` (string)
    The name of the collection. For multilingual collections, this will be the name of the default language's content.
    Example: Section 51

  - `parent_id` (integer)
    The id for the collection this section will be within.
    Example: 18

  - `translated_content` (object)
    The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

  - `translated_content.type` (string)
    The type of object - group_translated_content.
    Enum: null, "group_translated_content"

  - `translated_content.ar` (object)
    The Content of a Group.

  - `translated_content.ar.type` (string)
    The type of object - `group_content` .
    Enum: null, "group_content"

  - `translated_content.ar.name` (string)
    The name of the collection or section.
    Example: Collection name

  - `translated_content.ar.description` (string)
    The description of the collection. Only available for collections.
    Example:  Collection description

## Response 200 fields (application/json):

  - `type` (string)
    The type of object - `section`.
    Enum: "section"

  - `id` (string)
    The unique identifier for the section which is given by Intercom.
    Example: 6871119

  - `workspace_id` (string)
    The id of the workspace which the section belongs to.
    Example: hfi1bx4l

  - `name` (string)
    The name of the section. For multilingual sections, this will be the name of the default language's content.
    Example: Default language name

  - `created_at` (integer)
    The time when the section was created. For multilingual sections, this will be the timestamp of creation of the default language's content.
    Example: 1672928359

  - `updated_at` (integer)
    The time when the section was last updated. For multilingual sections, this will be the timestamp of last update of the default language's content.
    Example: 1672928610

  - `url` (string)
    The URL of the section. For multilingual help centers, this will be the URL of the section for the default language.
    Example: http://intercom.test/help/section/name

  - `icon` (string)
    The icon of the section.
    Example: book-bookmark

  - `order` (integer)
    The order of the section in relation to others sections within a collection. Values go from `0` upwards. `0` is the default if there's no order.
    Example: 1

  - `parent_id` (any)
    The id of the parent section.
    Example: 6871119

  - `default_locale` (string)
    The default locale of the help center. This field is only returned for multilingual help centers.
    Example: en

  - `translated_content` (object)
    The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

  - `translated_content.type` (string)
    The type of object - group_translated_content.
    Enum: null, "group_translated_content"

  - `translated_content.ar` (object)
    The Content of a Group.

  - `translated_content.ar.type` (string)
    The type of object - `group_content` .
    Enum: null, "group_content"

  - `translated_content.ar.name` (string)
    The name of the collection or section.
    Example: Collection name

  - `translated_content.ar.description` (string)
    The description of the collection. Only available for collections.
    Example:  Collection description

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

